<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'chemical',

    /*
     * Package.
     */
    'package'   => 'seller',

    /*
     * Modules.
     */
    'modules'   => ['place', 
'distributor'],

    'place'       => [
        'model' => [
            'model'                 => \Chemical\Seller\Models\Place::class,
            'table'                 => 'places',
            'presenter'             => \Chemical\Seller\Repositories\Presenter\PlacePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'seller_id',  'country_id',  'name',  'email',  'phone',  'url',  'details',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'seller/place',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Chemical',
            'package'   => 'Seller',
            'module'    => 'Place',
        ],

    ],

    'distributor'       => [
        'model' => [
            'model'                 => \Chemical\Seller\Models\Distributor::class,
            'table'                 => 'distributors',
            'presenter'             => \Chemical\Seller\Repositories\Presenter\DistributorPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'seller_id',  'country_id',  'name',  'email',  'phone',  'url',  'details',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'seller/distributor',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Chemical',
            'package'   => 'Seller',
            'module'    => 'Distributor',
        ],

    ],
];
