<?php

namespace Chemical\Seller\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Place policy
        'Chemical\Seller\Models\Place' => \Chemical\Seller\Policies\PlacePolicy::class,
// Bind Distributor policy
        'Chemical\Seller\Models\Distributor' => \Chemical\Seller\Policies\DistributorPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
