<?php

namespace Chemical\Seller\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DistributorTransformer extends TransformerAbstract
{
    public function transform(\Chemical\Seller\Models\Distributor $distributor)
    {
        return [
            'id'                => $distributor->getRouteKey(),
            'key'               => [
                'public'    => $distributor->getPublicKey(),
                'route'     => $distributor->getRouteKey(),
            ], 
            'id'                => $distributor->id,
            'seller_id'         => $distributor->seller_id,
            'country_id'        => $distributor->country_id,
            'name'              => $distributor->name,
            'email'             => $distributor->email,
            'phone'             => $distributor->phone,
            'url'               => $distributor->url,
            'details'           => $distributor->details,
            'created_at'        => $distributor->created_at,
            'updated_at'        => $distributor->updated_at,
            'deleted_at'        => $distributor->deleted_at,
            'url'               => [
                'public'    => trans_url('seller/'.$distributor->getPublicKey()),
                'user'      => guard_url('seller/distributor/'.$distributor->getRouteKey()),
            ], 
            'status'            => trans('app.'.$distributor->status),
            'created_at'        => format_date($distributor->created_at),
            'updated_at'        => format_date($distributor->updated_at),
        ];
    }
}