<?php

namespace Chemical\Seller\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PlaceTransformer extends TransformerAbstract
{
    public function transform(\Chemical\Seller\Models\Place $place)
    {
        return [
            'id'                => $place->getRouteKey(),
            'key'               => [
                'public'    => $place->getPublicKey(),
                'route'     => $place->getRouteKey(),
            ], 
            'id'                => $place->id,
            'seller_id'         => $place->seller_id,
            'country_id'        => $place->country_id,
            'name'              => $place->name,
            'email'             => $place->email,
            'phone'             => $place->phone,
            'url'               => $place->url,
            'details'           => $place->details,
            'created_at'        => $place->created_at,
            'updated_at'        => $place->updated_at,
            'deleted_at'        => $place->deleted_at,
            'url'               => [
                'public'    => trans_url('seller/'.$place->getPublicKey()),
                'user'      => guard_url('seller/place/'.$place->getRouteKey()),
            ], 
            'status'            => trans('app.'.$place->status),
            'created_at'        => format_date($place->created_at),
            'updated_at'        => format_date($place->updated_at),
        ];
    }
}